Page MenuHomeFreeBSD

Improve Linuxulator man pages
ClosedPublic

Authored by trasz on Nov 7 2019, 6:18 PM.

Details

Summary

Improve Linuxulator man pages to better reflect the current state.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

emaste added inline comments.
share/man/man4/linux.4
55–57 ↗(On Diff #64049)

It probably is worth leaving in some statment about this not being 100%

That's true; I've added a BUGS section.

share/man/man4/linux.4
78 ↗(On Diff #64068)

s/compat/emulators/

Apply feedback from emaste@ and tijl@.

brueffer added inline comments.
share/man/man4/linux.4
78 ↗(On Diff #64178)

We mark up ports paths with .Pa if I recall correctly.

84 ↗(On Diff #64178)

Unneeded .Pp, this macro has no effect before/after .Sh

Fixed, thanks!

This revision is now accepted and ready to land.Nov 11 2019, 4:51 PM
netchild added a subscriber: netchild.

Please add something about linux_skip_mounts from https://reviews.freebsd.org/D22320

This revision now requires changes to proceed.Nov 12 2019, 10:33 AM

Document linux_mounts_enable.

share/man/man4/linux.4
85 ↗(On Diff #64229)

The linux_base ports run some Linux programs on installation, e.g. Linux ldconfig to create /compat/linux/etc/ld.so.cache. So I would change the order here. First add linux_enable to /etc/rc.conf, then enable Linux compatibility using 'service linux start', and then install linux_base-c7. That also means that /etc/rc.d/linux should create /compat/linux and /compat/linux/{dev,proc,sys} before mounting file systems because these directories might not exist.

share/man/man4/linux.4
85 ↗(On Diff #64229)

Good point, but can... we move it to another review? What you're suggesting also touches the rc script itself, and there might be different ways it could be solved.

share/man/man4/linux.4
85 ↗(On Diff #64229)

Sure.

This revision was not accepted when it landed; it landed in state Needs Review.Nov 13 2019, 8:32 PM
This revision was automatically updated to reflect the committed changes.
share/man/man4/linux.4
85 ↗(On Diff #64229)